## org.apache.lucene.codecs
Class TermVectorsFormat

    java.lang.Object
      org.apache.lucene.codecs.TermVectorsFormat

Direct Known Subclasses:
  CompressingTermVectorsFormat, Lucene40TermVectorsFormat

    public abstract class TermVectorsFormat

extends Object

Controls the format of term vectors

Constructor Summary
`protected` `TermVectorsFormat()` Sole constructor.

Method Summary
`abstract TermVectorsReader` `vectorsReader(Directory directory, SegmentInfo segmentInfo, FieldInfos fieldInfos, IOContext context)` Returns a `TermVectorsReader` to read term vectors.
`abstract TermVectorsWriter` `vectorsWriter(Directory directory, SegmentInfo segmentInfo, IOContext context)` Returns a `TermVectorsWriter` to write term vectors.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TermVectorsFormat

    protected TermVectorsFormat()

  Sole constructor. (For invocation by subclass constructors, typically implicit.)

Method Detail

### vectorsReader

    public abstract TermVectorsReader vectorsReader(Directory directory,
                                                    SegmentInfo segmentInfo,
                                                    FieldInfos fieldInfos,
                                                    IOContext context)
                                             throws IOException

  Returns a `TermVectorsReader` to read term vectors.

  Throws:
    `IOException`

### vectorsWriter

    public abstract TermVectorsWriter vectorsWriter(Directory directory,
                                                    SegmentInfo segmentInfo,
                                                    IOContext context)
                                             throws IOException

  Returns a `TermVectorsWriter` to write term vectors.

  Throws:
    `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.